import request from '@/utils/request';

//告警信息确认
export function getAlarmLogPage(params:any){
  return request({
    url: '/patroltask/task-alarm/getAlarmLogPage' ,
    method: 'get',
    params:params
  });
}



  //告警信息核查
  export function setAlarmLogStatus(params:any){
    return request({
      url: '/patroltask/task-alarm/setAlarmLogStatus' ,
      method: 'post',
      data:params
    });
  }
    //辅控告警信息核查
    export function setAlarmRecordStatus(params:any){
      return request({
        url: '/auxcontrol/device-alarm-record/setAlarmRecordStatus' ,
        method: 'post',
        data:params
      });
    }

  //告警信息批量核查
  export function setBatchAlarmLogStatus(params:any){
    return request({
      url: '/patroltask/task-alarm/batchSetAlarmLogStatus',
      headers: {
        'Content-Type': 'application/x-www-form-urlencoded'
      },
      method: 'post',
      data:params
    });
  }

   //查询未审核告警数量
   export function getNotCheckAlarmInfo(params:any){
    return request({
      url: '/patroltask/task-alarm/getNotCheckAlarmInfo' ,
      method: 'get',
      params:params
    });
  }